Subject: Managing packages writes the user init file
From: Angelo Graziosi <[email-masked]>
To: [email-masked]
Date: Thu, 18 Feb 2016 01:49:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have noticed that just using

   Options - Manage Emacs Packages

writes my init file. For example I find these additions in my case:

(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  '(package-selected-packages (quote (tabbar-ruler sr-speedbar))))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
  )

I discovered this only casually..

I think this is not the right thing to do. Why an application should 
write a file which belongs to the user?

Maybe there is a better way saving those additions in another file which 
the use could customize, more or less as we do with the desktop file or 
lock file. For example in my init.el file I have

;; Instead to save in ~/.projects.ede
(setq ede-project-placeholder-cache-file "~/.emacs.d/projects.ede")

;; Instead to save in ~/.emacs.desktop
(setq desktop-base-file-name "~/.emacs.d/desktop")

;; Instead to save in ~/.emacs.desktop.lock
(setq desktop-base-lock-name "~/.emacs.d/desktop.lock")

We could have something like this

;; Instead to save in ~/.emacs.packages_installed
(setq desktop-base-lock-name "~/.emacs.d/packages_installed")

This would be very useful.. :)

TIA,
  Angelo.